## lua-discount 1.2.10.1

=== Makefile ===
LIB_NAME= lua-discount
VERSION= 1.2.10.1

# change these to reflect your Lua installation
LUA= /usr
LUAINC= $(LUA)/include
LUALIB= $(LUA)/lib
LUABIN= $(LUA)/bin

# probably no need to change anything below here
CC= gcc
CFLAGS= $(INCS) $(WARN) -O2 -fPIC ${DEFS}
WARN= -Wall
INCS= -I$(LUAINC)
DEFS = 

DISCOUNT_OBJS = docheader.o \
	dumptree.o \
	generate.o \
	markdown.o \
	mkdio.o \
	resource.o
OBJS=  $(DISCOUNT_OBJS) ldiscount.o
SOS= discount.so

all: $(SOS)

$(SOS): $(OBJS)
	$(CC) -o $@ -shared $(OBJS) $(LIBS)

.PHONY: clean tar
clean:
	rm -f $(OBJS) $(SOS) core core.* a.out

tar: clean
	git archive --format=tar --prefix=$(LIB_NAME)-$(VERSION)/ $(VERSION) | gzip > $(LIB_NAME)-$(VERSION).tar.gz

=== debian/changelog ===
lua-discount (1.2.10.1-2) unstable; urgency=medium

  * Update VCS-URLs.
  * Bump standards version to 3.9.6 (no changes necessary).
  * Make the tests work with luaunit 3.1 (Closes: #789978).

 -- Julian Wollrath <jwollrath@web.de>  Thu, 25 Jun 2015 23:38:29 +0200

lua-discount (1.2.10.1-1) unstable; urgency=low

  * Initial release. (Closes: #700783)

 -- Julian Wollrath <jwollrath@web.de>  Sun, 17 Feb 2013 14:57:18 +0100

=== debian/control ===
Source: lua-discount
Section: interpreters
Priority: optional
Maintainer: Julian Wollrath <jwollrath@web.de>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 9), dh-lua, libmarkdown2-dev, lua-unit
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-lua/lua-discount.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-discount.git
Homepage: http://asbradbury.org/projects/lua-discount/

Package: lua-discount
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
Multi-Arch: same
XB-Lua-Versions: ${lua:Versions}
Description: Discount library for the Lua language
 A binding to Discount, a fast C implementation of the Markdown text to HTML
 markup system which passes the Markdown testsuite.

Package: lua-discount-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lua-discount (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
Multi-Arch: same
XB-Lua-Versions: ${lua:Versions}
Description: discount development files for the Lua language
 This package contains the development files of the discount library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

## lua-discount 2.1.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 LIB_NAME= lua-discount
-VERSION= 1.2.10.1
+VERSION= 2.1.8
 
 # change these to reflect your Lua installation
 LUA= /usr
-LUAINC= $(LUA)/include
+LUAINC= $(LUA)/include/lua5.1
 LUALIB= $(LUA)/lib
 LUABIN= $(LUA)/bin
 
@@ -14,12 +14,18 @@
 INCS= -I$(LUAINC)
 DEFS = 
 
-DISCOUNT_OBJS = docheader.o \
+DISCOUNT_OBJS = basename.o \
+  Csio.o \
+	css.o \
+	docheader.o \
 	dumptree.o \
+	emmatch.o \
 	generate.o \
 	markdown.o \
 	mkdio.o \
-	resource.o
+	resource.o \
+	toc.o \
+	xml.o
 OBJS=  $(DISCOUNT_OBJS) ldiscount.o
 SOS= discount.so

=== debian/changelog ===
lua-discount (2.1.8-6) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 13:05:59 +0200

lua-discount (2.1.8-5) unstable; urgency=medium

  * QA upload.
  * Set Vcs fields to Salsa
  * Secure URI in Homepage
  * Fix watch file (no idea where the current source came from)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * not-installed: Do not install *.la files

 -- Andreas Tille <tille@debian.org>  Sun, 24 Aug 2025 10:46:51 +0200

lua-discount (2.1.8-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #892473)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 20:15:38 -0300

lua-discount (2.1.8-3) unstable; urgency=medium

  * Fix test failure, thanks to Reiner Herrmann (Closes: #852901)

 -- Julian Wollrath <jwollrath@web.de>  Sun, 05 Feb 2017 19:04:50 +0100

lua-discount (2.1.8-2) unstable; urgency=medium

  * Build-depend on discount >= 2.2.0+git20160802 (Closes: #824944)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 05 Aug 2016 11:34:21 +0200

lua-discount (2.1.8-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix failing test (Closes: #824944).
  * Bump standards version to 3.9.8 (no changes necessary).

 -- Julian Wollrath <jwollrath@web.de>  Sun, 12 Jul 2015 18:11:03 +0200

=== debian/control ===
Source: lua-discount
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-lua,
               libmarkdown2-dev,
               lua-unit
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-discount
Vcs-Git: https://salsa.debian.org/lua-team/lua-discount.git
Homepage: https://asbradbury.org/projects/lua-discount/

Package: lua-discount
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
Description: Discount library for the Lua language
 A binding to Discount, a fast C implementation of the Markdown text to HTML
 markup system which passes the Markdown testsuite.
XB-Lua-Versions: ${lua:Versions}

Package: lua-discount-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lua-discount (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
Description: discount development files for the Lua language
 This package contains the development files of the discount library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.
XB-Lua-Versions: ${lua:Versions}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	rm -rf .pc/
	dh_auto_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/asb/lua-discount/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
